build: adjust gcc/g++ version checks for newer apple compilers
authorFelix Fietkau <nbd@nbd.name>
Thu, 10 Oct 2019 11:42:56 +0000 (13:42 +0200)
committerFelix Fietkau <nbd@nbd.name>
Thu, 10 Oct 2019 11:55:23 +0000 (13:55 +0200)
Signed-off-by: Felix Fietkau <nbd@nbd.name>
(cherry-picked from commit 46a129194de0f9e2f71b6526634569e1ec802504)

include/prereq-build.mk

index f7da916..cbfc623 100644 (file)
@@ -37,7 +37,7 @@ $(eval $(call SetupHostCommand,gcc, \
        gcc7 --version | grep gcc, \
        gcc8 --version | grep gcc, \
        gcc9 --version | grep gcc, \
-       gcc --version | grep Apple.LLVM ))
+       gcc --version | grep -E 'Apple.(LLVM|clang)' ))
 
 $(eval $(call TestHostCommand,working-gcc, \
        \nPlease reinstall the GNU C Compiler (4.8 or later) - \
@@ -56,7 +56,7 @@ $(eval $(call SetupHostCommand,g++, \
        g++7 --version | grep g++, \
        g++8 --version | grep g++, \
        g++9 --version | grep g++, \
-       g++ --version | grep Apple.LLVM ))
+       g++ --version | grep -E 'Apple.(LLVM|clang)' ))
 
 $(eval $(call TestHostCommand,working-g++, \
        \nPlease reinstall the GNU C++ Compiler (4.8 or later) - \